# Uses of Interface
org.apache.lucene.search.knn.KnnCollectorManager

Packages that use KnnCollectorManager
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.search.knn
Classes related to vector search: knn and vector fields.

- ## Uses of KnnCollectorManager in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement KnnCollectorManager
  Modifier and Type
  Class
  Description
  `class`
  `TimeLimitingKnnCollectorManager`
  A `KnnCollectorManager` that collects results with a timeout.
  Methods in org.apache.lucene.search that return KnnCollectorManager
  Modifier and Type
  Method
  Description
  `protected KnnCollectorManager`
  PatienceKnnVectorQuery.`getKnnCollectorManager(int k, IndexSearcher searcher)`
  `protected KnnCollectorManager`
  SeededKnnVectorQuery.`getKnnCollectorManager(int k, IndexSearcher searcher)`
  Methods in org.apache.lucene.search with parameters of type KnnCollectorManager
  Modifier and Type
  Method
  Description
  `protected TopDocs`
  ByteVectorSimilarityQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  FloatVectorSimilarityQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  KnnByteVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  KnnFloatVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  PatienceKnnVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  SeededKnnVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  Constructors in org.apache.lucene.search with parameters of type KnnCollectorManager
  Modifier
  Constructor
  Description
  ``
  `TimeLimitingKnnCollectorManager(KnnCollectorManager delegate, QueryTimeout timeout)`

- ## Uses of KnnCollectorManager in org.apache.lucene.search.knn

  Classes in org.apache.lucene.search.knn that implement KnnCollectorManager
  Modifier and Type
  Class
  Description
  `class`
  `TopKnnCollectorManager`
  TopKnnCollectorManager responsible for creating `TopKnnCollector` instances.